#include "sfr_r8m12a.h"
#include "sysclk.h"
#include <stdint.h>
#include "timer_rj.h"
#include "timer_rb.h"
#include "uart.h"
#include "ad.h"
#include "cmp.h"

typedef enum {
	false, true
} bool;

uint8_t keta(uint64_t n) {
	uint8_t ret = 0;
	do{
		ret++;
	} while( n /= 10 );
	return ret;
}

uint8_t intToStr(char *dest, uint64_t src, bool crlf) {
	int8_t i = 0;
	uint8_t digit = keta(src);

	for(i=digit-1; i>=0; i--){
		dest[i] = src % 10 + '0';
		src /= 10;
	}
	i = digit;
	if( crlf ) {
		dest[i++] = '\r';
		dest[i++] = '\n';
	}
	dest[i] = '\0';
	return i;
}
/* #define _PC */
#ifndef _PC
int main(void){
	sysclk_init();
	uart0_init();
	pd1 = 1;
	while(1) {
		uart_send(uart_get());
		p1 ^= 1;
	}
	return 0;
}
#else
#include <stdio.h>
int main(void) {
	int a = 1234567;
	char buf[256];
	intToStr(buf, a);
	printf("%s\n", buf);
}
#endif
