/* $Id: r8cm12a.h,v 1.3 2015/02/22 13:33:20 clare Exp $ */
struct bit_def {
    unsigned char b0: 1;
    unsigned char b1: 1;
    unsigned char b2: 1;
    unsigned char b3: 1;
    unsigned char b4: 1;
    unsigned char b5: 1;
    unsigned char b6: 1;
    unsigned char b7: 1;
};
union byte_def {
    struct bit_def bit;
    unsigned char byte;
};
#define __SFR_BIT__(addr, bitx) \
    (((volatile union byte_def *)(addr))->bit.bitx)
#define __SFR_BYTE__(addr) \
    (((volatile union byte_def *)(addr))->byte)
#define __SFR_WORD__(addr) \
    (*((volatile unsigned short *)(addr)))
#define	PM0	__SFR_BYTE__(0x00010)
#define	SRST	__SFR_BIT__(0x00010, b3)
#define	MSTCR	__SFR_BYTE__(0x00012)
#define	MSTTRJ	__SFR_BIT__(0x00012, b0)
#define	MSTTRB	__SFR_BIT__(0x00012, b1)
#define	MSTAD	__SFR_BIT__(0x00012, b4)
#define	MSTTRC	__SFR_BIT__(0x00012, b5)
#define	MSTUART	__SFR_BIT__(0x00012, b6)
#define	PRCR	__SFR_BYTE__(0x00013)
#define	PRC0	__SFR_BIT__(0x00013, b0)
#define	PRC1	__SFR_BIT__(0x00013, b1)
#define	PRC3	__SFR_BIT__(0x00013, b3)
#define	PRC4	__SFR_BIT__(0x00013, b4)
#define	HRPR	__SFR_BYTE__(0x00016)
#define	PAMCRE	__SFR_BIT__(0x00016, b0)
#define	EXCKCR	__SFR_BYTE__(0x00020)
#define	CKPT0	__SFR_BIT__(0x00020, b0)
#define	CKPT1	__SFR_BIT__(0x00020, b1)
#define	XRCUT	__SFR_BIT__(0x00020, b6)
#define	OCOCR	__SFR_BYTE__(0x00021)
#define	HOCOE	__SFR_BIT__(0x00021, b0)
#define	LOCODIS	__SFR_BIT__(0x00021, b1)
#define	SCKCR	__SFR_BYTE__(0x00022)
#define	PHISSEL0	__SFR_BIT__(0x00022, b0)
#define	PHISSEL1	__SFR_BIT__(0x00022, b1)
#define	PHISSEL2	__SFR_BIT__(0x00022, b2)
#define	WAITM	__SFR_BIT__(0x00022, b5)
#define	HSCKSEL	__SFR_BIT__(0x00022, b6)
#define	PHISEL	__SFR_BYTE__(0x00023)
#define	CKSTPR	__SFR_BYTE__(0x00024)
#define	STPM	__SFR_BIT__(0x00024, b0)
#define	WCKSTP	__SFR_BIT__(0x00024, b1)
#define	PSCSTP	__SFR_BIT__(0x00024, b2)
#define	SCKSEL	__SFR_BIT__(0x00024, b7)
#define	CKRSCR	__SFR_BYTE__(0x00025)
#define	CKST0	__SFR_BIT__(0x00025, b0)
#define	CKST1	__SFR_BIT__(0x00025, b1)
#define	CKST2	__SFR_BIT__(0x00025, b2)
#define	CKST3	__SFR_BIT__(0x00025, b3)
#define	PHISRS	__SFR_BIT__(0x00025, b5)
#define	WAITRS	__SFR_BIT__(0x00025, b6)
#define	STOPRS	__SFR_BIT__(0x00025, b7)
#define	BAKCR	__SFR_BYTE__(0x00026)
#define	XINBAKE	__SFR_BIT__(0x00026, b0)
#define	CKSWIE	__SFR_BIT__(0x00026, b1)
#define	XINHALT	__SFR_BIT__(0x00026, b2)
#define	CKSWIF	__SFR_BIT__(0x00026, b3)
#define	RISR	__SFR_BYTE__(0x00030)
#define	WDTR	__SFR_BYTE__(0x00031)
#define	WDTS	__SFR_BYTE__(0x00032)
#define	WDTC	__SFR_BYTE__(0x00033)
#define	CSPR	__SFR_BYTE__(0x00034)
#define	WDTIR	__SFR_BYTE__(0x00035)
#define	INTEN	__SFR_BYTE__(0x00038)
#define	INT0EN	__SFR_BIT__(0x00038, b0)
#define	INT1EN	__SFR_BIT__(0x00038, b1)
#define	INT2EN	__SFR_BIT__(0x00038, b2)
#define	INT3EN	__SFR_BIT__(0x00038, b3)
#define	INTF0	__SFR_BYTE__(0x0003A)
#define	INT0F0	__SFR_BIT__(0x0003A, b0)
#define	INT0F1	__SFR_BIT__(0x0003A, b1)
#define	INT1F0	__SFR_BIT__(0x0003A, b2)
#define	INT1F1	__SFR_BIT__(0x0003A, b3)
#define	INT2F0	__SFR_BIT__(0x0003A, b4)
#define	INT2F1	__SFR_BIT__(0x0003A, b5)
#define	INT3F0	__SFR_BIT__(0x0003A, b6)
#define	INT3F1	__SFR_BIT__(0x0003A, b7)
#define	ISCR0	__SFR_BYTE__(0x0003C)
#define	INT0SA	__SFR_BIT__(0x0003C, b0)
#define	INT0SB	__SFR_BIT__(0x0003C, b1)
#define	INT1SA	__SFR_BIT__(0x0003C, b2)
#define	INT1SB	__SFR_BIT__(0x0003C, b3)
#define	INT2SA	__SFR_BIT__(0x0003C, b4)
#define	INT2SB	__SFR_BIT__(0x0003C, b5)
#define	INT3SA	__SFR_BIT__(0x0003C, b6)
#define	INT3SB	__SFR_BIT__(0x0003C, b7)
#define	KIEN	__SFR_BYTE__(0x0003E)
#define	KI0EN	__SFR_BIT__(0x0003E, b0)
#define	KI0PL	__SFR_BIT__(0x0003E, b1)
#define	KI1EN	__SFR_BIT__(0x0003E, b2)
#define	KI1PL	__SFR_BIT__(0x0003E, b3)
#define	KI2EN	__SFR_BIT__(0x0003E, b4)
#define	KI2PL	__SFR_BIT__(0x0003E, b5)
#define	KI3EN	__SFR_BIT__(0x0003E, b6)
#define	KI3PL	__SFR_BIT__(0x0003E, b7)
#define	ILVL0	__SFR_BYTE__(0x00040)
#define	ILVL00	__SFR_BIT__(0x00040, b0)
#define	ILVL01	__SFR_BIT__(0x00040, b1)
#define	ILVL04	__SFR_BIT__(0x00040, b4)
#define	ILVL05	__SFR_BIT__(0x00040, b5)
#define	ILVL2	__SFR_BYTE__(0x00042)
#define	ILVL20	__SFR_BIT__(0x00042, b0)
#define	ILVL21	__SFR_BIT__(0x00042, b1)
#define	ILVL24	__SFR_BIT__(0x00042, b4)
#define	ILVL25	__SFR_BIT__(0x00042, b5)
#define	ILVL3	__SFR_BYTE__(0x00043)
#define	ILVL30	__SFR_BIT__(0x00043, b0)
#define	ILVL31	__SFR_BIT__(0x00043, b1)
#define	ILVL34	__SFR_BIT__(0x00043, b4)
#define	ILVL35	__SFR_BIT__(0x00043, b5)
#define	ILVL4	__SFR_BYTE__(0x00044)
#define	ILVL40	__SFR_BIT__(0x00044, b0)
#define	ILVL41	__SFR_BIT__(0x00044, b1)
#define	ILVL44	__SFR_BIT__(0x00044, b4)
#define	ILVL45	__SFR_BIT__(0x00044, b5)
#define	ILVL5	__SFR_BYTE__(0x00045)
#define	ILVL6	__SFR_BYTE__(0x00046)
#define	ILVL7	__SFR_BYTE__(0x00047)
#define	ILVL8	__SFR_BYTE__(0x00048)
#define	ILVL9	__SFR_BYTE__(0x00049)
#define	ILVLA	__SFR_BYTE__(0x0004A)
#define	ILVLB	__SFR_BYTE__(0x0004B)
#define	ILVLC	__SFR_BYTE__(0x0004C)
#define	ILVLD	__SFR_BYTE__(0x0004D)
#define	ILVLE	__SFR_BYTE__(0x0004E)
#define	IRR0	__SFR_BYTE__(0x00050)
#define	IRTJ	__SFR_BIT__(0x00050, b0)
#define	IRTB	__SFR_BIT__(0x00050, b1)
#define	IRTC	__SFR_BIT__(0x00050, b2)
#define	IRS0T	__SFR_BIT__(0x00050, b4)
#define	IRS0R	__SFR_BIT__(0x00050, b5)
#define	IRR1	__SFR_BYTE__(0x00051)
#define	IRAD	__SFR_BIT__(0x00051, b2)
#define	IRFM	__SFR_BIT__(0x00051, b4)
#define	IRWD	__SFR_BIT__(0x00051, b5)
#define	IRR2	__SFR_BYTE__(0x00052)
#define	IRCMP1	__SFR_BIT__(0x00052, b2)
#define	IRCMP3	__SFR_BIT__(0x00052, b3)
#define	IRR3	__SFR_BYTE__(0x00053)
#define	IRI0	__SFR_BIT__(0x00053, b0)
#define	IRI1	__SFR_BIT__(0x00053, b1)
#define	IRI2	__SFR_BIT__(0x00053, b2)
#define	IRI3	__SFR_BIT__(0x00053, b3)
#define	IRKI	__SFR_BIT__(0x00053, b5)
#define	VCAC	__SFR_BYTE__(0x00058)
#define	VCA2	__SFR_BYTE__(0x0005A)
#define	VD1LS	__SFR_BYTE__(0x0005B)
#define	VW0C	__SFR_BYTE__(0x0005C)
#define	VW1C	__SFR_BYTE__(0x0005D)
#define	RSTFR	__SFR_BYTE__(0x0005F)
#define	CWR	__SFR_BIT__(0x0005F, b0)
#define	HWR	__SFR_BIT__(0x0005F, b1)
#define	SWR	__SFR_BIT__(0x0005F, b2)
#define	WDR	__SFR_BIT__(0x0005F, b3)
#define	FR18S0	__SFR_BYTE__(0x00064)
#define	FR18S1	__SFR_BYTE__(0x00065)
#define	FRV1	__SFR_BYTE__(0x00067)
#define	FRV2	__SFR_BYTE__(0x00068)
#define	U0MR	__SFR_BYTE__(0x00080)
#define	U0MR_SMD0	__SFR_BIT__(0x00080, b0)
#define	U0MR_SMD1	__SFR_BIT__(0x00080, b1)
#define	U0MR_SMD2	__SFR_BIT__(0x00080, b2)
#define	U0MR_CKDIR	__SFR_BIT__(0x00080, b3)
#define	U0MR_STPS	__SFR_BIT__(0x00080, b4)
#define	U0MR_PRY	__SFR_BIT__(0x00080, b5)
#define	U0MR_PRYE	__SFR_BIT__(0x00080, b6)
#define	U0BRG	__SFR_BYTE__(0x00081)
#define	U0TBL	__SFR_BYTE__(0x00082)
#define	U0TBH	__SFR_BYTE__(0x00083)
#define	U0C0	__SFR_BYTE__(0x00084)
#define	U0C0_CLK0	__SFR_BIT__(0x00084, b0)
#define	U0C0_CLK1	__SFR_BIT__(0x00084, b1)
#define	U0C0_TXEPT	__SFR_BIT__(0x00084, b3)
#define	U0C0_DFE	__SFR_BIT__(0x00084, b4)
#define	U0C0_NCH	__SFR_BIT__(0x00084, b5)
#define	U0C0_CKPOL	__SFR_BIT__(0x00084, b6)
#define	U0C0_UFORM	__SFR_BIT__(0x00084, b7)
#define	U0C1	__SFR_BYTE__(0x00085)
#define	U0C1_TE	__SFR_BIT__(0x00085, b0)
#define	U0C1_TI	__SFR_BIT__(0x00085, b1)
#define	U0C1_RE	__SFR_BIT__(0x00085, b2)
#define	U0C1_RI	__SFR_BIT__(0x00085, b3)
#define	U0C1_U0IRS	__SFR_BIT__(0x00085, b4)
#define	U0C1_U0RRM	__SFR_BIT__(0x00085, b5)
#define	U0RBL	__SFR_BYTE__(0x00086)
#define	U0RBH	__SFR_BYTE__(0x00087)
#define	U0IR	__SFR_BYTE__(0x00088)
#define	U0RIE	__SFR_BIT__(0x00088, b2)
#define	U0TIE	__SFR_BIT__(0x00088, b3)
#define	U0RIF	__SFR_BIT__(0x00088, b6)
#define	U0TIF	__SFR_BIT__(0x00088, b7)
#define	AD0L	__SFR_BYTE__(0x00098)
#define	AD0H	__SFR_BYTE__(0x00099)
#define	AD1L	__SFR_BYTE__(0x0009A)
#define	AD1H	__SFR_BYTE__(0x0009B)
#define	ADMOD	__SFR_BYTE__(0x0009C)
#define	ADMOD_CKS0	__SFR_BIT__(0x0009C, b0)
#define	ADMOD_CKS1	__SFR_BIT__(0x0009C, b1)
#define	ADMOD_CKS2	__SFR_BIT__(0x0009C, b2)
#define	ADMOD_MD0	__SFR_BIT__(0x0009C, b3)
#define	ADMOD_MD1	__SFR_BIT__(0x0009C, b4)
#define	ADMOD_ADCAP0	__SFR_BIT__(0x0009C, b6)
#define	ADMOD_ADCAP1	__SFR_BIT__(0x0009C, b7)
#define	ADINSEL	__SFR_BYTE__(0x0009D)
#define	ADINSEL_CH0	__SFR_BIT__(0x0009D, b0)
#define	ADINSEL_ADGSEL0	__SFR_BIT__(0x0009D, b6)
#define	ADINSEL_ADGSEL1	__SFR_BIT__(0x0009D, b7)
#define	ADCON0	__SFR_BYTE__(0x0009E)
#define	ADCON0_ADST	__SFR_BIT__(0x0009E, b0)
#define	ADICSR	__SFR_BYTE__(0x0009F)
#define	ADICSR_ADIE	__SFR_BIT__(0x0009F, b6)
#define	ADICSR_ADF	__SFR_BIT__(0x0009F, b7)
#define	PD1	__SFR_BYTE__(0x000A9)
#define	PD1_0	__SFR_BIT__(0x000A9, b0)
#define	PD1_1	__SFR_BIT__(0x000A9, b1)
#define	PD1_2	__SFR_BIT__(0x000A9, b2)
#define	PD1_3	__SFR_BIT__(0x000A9, b3)
#define	PD1_4	__SFR_BIT__(0x000A9, b4)
#define	PD1_5	__SFR_BIT__(0x000A9, b5)
#define	PD1_6	__SFR_BIT__(0x000A9, b6)
#define	PD1_7	__SFR_BIT__(0x000A9, b7)
#define	PD3	__SFR_BYTE__(0x000AB)
#define	PD3_3	__SFR_BIT__(0x000AB, b3)
#define	PD3_4	__SFR_BIT__(0x000AB, b4)
#define	PD3_5	__SFR_BIT__(0x000AB, b5)
#define	PD3_7	__SFR_BIT__(0x000AB, b7)
#define	PD4	__SFR_BYTE__(0x000AC)
#define	PD4_2	__SFR_BIT__(0x000AC, b2)
#define	PD4_5	__SFR_BIT__(0x000AC, b5)
#define	PD4_6	__SFR_BIT__(0x000AC, b6)
#define	PD4_7	__SFR_BIT__(0x000AC, b7)
#define	PDA	__SFR_BYTE__(0x000AD)
#define	PDA_0	__SFR_BIT__(0x000AD, b0)
#define	P1	__SFR_BYTE__(0x000AF)
#define	P1_0	__SFR_BIT__(0x000AF, b0)
#define	P1_1	__SFR_BIT__(0x000AF, b1)
#define	P1_2	__SFR_BIT__(0x000AF, b2)
#define	P1_3	__SFR_BIT__(0x000AF, b3)
#define	P1_4	__SFR_BIT__(0x000AF, b4)
#define	P1_5	__SFR_BIT__(0x000AF, b5)
#define	P1_6	__SFR_BIT__(0x000AF, b6)
#define	P1_7	__SFR_BIT__(0x000AF, b7)
#define	P3	__SFR_BYTE__(0x000B1)
#define	P3_3	__SFR_BIT__(0x000B1, b3)
#define	P3_4	__SFR_BIT__(0x000B1, b4)
#define	P3_5	__SFR_BIT__(0x000B1, b5)
#define	P3_7	__SFR_BIT__(0x000B1, b7)
#define	P4	__SFR_BYTE__(0x000B2)
#define	P4_2	__SFR_BIT__(0x000B2, b2)
#define	P4_5	__SFR_BIT__(0x000B2, b5)
#define	P4_6	__SFR_BIT__(0x000B2, b6)
#define	P4_7	__SFR_BIT__(0x000B2, b7)
#define	PA	__SFR_BYTE__(0x000B3)
#define	PA_0	__SFR_BIT__(0x000B3, b0)
#define	PUR1	__SFR_BYTE__(0x000B5)
#define	PU1_0	__SFR_BIT__(0x000B5, b0)
#define	PU1_1	__SFR_BIT__(0x000B5, b1)
#define	PU1_2	__SFR_BIT__(0x000B5, b2)
#define	PU1_3	__SFR_BIT__(0x000B5, b3)
#define	PU1_4	__SFR_BIT__(0x000B5, b4)
#define	PU1_5	__SFR_BIT__(0x000B5, b5)
#define	PU1_6	__SFR_BIT__(0x000B5, b6)
#define	PU1_7	__SFR_BIT__(0x000B5, b7)
#define	PUR3	__SFR_BYTE__(0x000B7)
#define	PU3_3	__SFR_BIT__(0x000B7, b3)
#define	PU3_4	__SFR_BIT__(0x000B7, b4)
#define	PU3_5	__SFR_BIT__(0x000B7, b5)
#define	PU3_7	__SFR_BIT__(0x000B7, b7)
#define	PUR4	__SFR_BYTE__(0x000B8)
#define	PU4_2	__SFR_BIT__(0x000B8, b2)
#define	PU4_5	__SFR_BIT__(0x000B8, b5)
#define	PU4_6	__SFR_BIT__(0x000B8, b6)
#define	PU4_7	__SFR_BIT__(0x000B8, b7)
#define	PINSR	__SFR_BYTE__(0x000B9)
#define	DRR1	__SFR_BYTE__(0x000BB)
#define	DRR1_2	__SFR_BIT__(0x000BB, b2)
#define	DRR1_3	__SFR_BIT__(0x000BB, b3)
#define	DRR1_4	__SFR_BIT__(0x000BB, b4)
#define	DRR1_5	__SFR_BIT__(0x000BB, b5)
#define	DRR3	__SFR_BYTE__(0x000BD)
#define	DRR3_3	__SFR_BIT__(0x000BD, b3)
#define	DRR3_4	__SFR_BIT__(0x000BD, b4)
#define	DRR3_5	__SFR_BIT__(0x000BD, b5)
#define	DRR3_7	__SFR_BIT__(0x000BD, b7)
#define	POD1	__SFR_BYTE__(0x000C1)
#define	POD1_0	__SFR_BIT__(0x000C1, b0)
#define	POD1_1	__SFR_BIT__(0x000C1, b1)
#define	POD1_2	__SFR_BIT__(0x000C1, b2)
#define	POD1_3	__SFR_BIT__(0x000C1, b3)
#define	POD1_4	__SFR_BIT__(0x000C1, b4)
#define	POD1_5	__SFR_BIT__(0x000C1, b5)
#define	POD1_6	__SFR_BIT__(0x000C1, b6)
#define	POD1_7	__SFR_BIT__(0x000C1, b7)
#define	POD3	__SFR_BYTE__(0x000C3)
#define	POD3_3	__SFR_BIT__(0x000C3, b3)
#define	POD3_4	__SFR_BIT__(0x000C3, b4)
#define	POD3_5	__SFR_BIT__(0x000C3, b5)
#define	POD3_7	__SFR_BIT__(0x000C3, b7)
#define	POD4	__SFR_BYTE__(0x000C4)
#define	POD4_2	__SFR_BIT__(0x000C4, b2)
#define	POD4_5	__SFR_BIT__(0x000C4, b5)
#define	POD4_6	__SFR_BIT__(0x000C4, b6)
#define	POD4_7	__SFR_BIT__(0x000C4, b7)
#define	PAMCR	__SFR_BYTE__(0x000C5)
#define	PODA_0	__SFR_BIT__(0x000C5, b0)
#define	HWRSTE	__SFR_BIT__(0x000C5, b4)
#define	PML1	__SFR_BYTE__(0x000C8)
#define	P10SEL0	__SFR_BIT__(0x000C8, b0)
#define	P10SEL1	__SFR_BIT__(0x000C8, b1)
#define	P11SEL0	__SFR_BIT__(0x000C8, b2)
#define	P11SEL1	__SFR_BIT__(0x000C8, b3)
#define	P12SEL0	__SFR_BIT__(0x000C8, b4)
#define	P12SEL1	__SFR_BIT__(0x000C8, b5)
#define	P13SEL0	__SFR_BIT__(0x000C8, b6)
#define	P13SEL1	__SFR_BIT__(0x000C8, b7)
#define	PMH1	__SFR_BYTE__(0x000C9)
#define	P14SEL0	__SFR_BIT__(0x000C9, b0)
#define	P14SEL1	__SFR_BIT__(0x000C9, b1)
#define	P15SEL0	__SFR_BIT__(0x000C9, b2)
#define	P15SEL1	__SFR_BIT__(0x000C9, b3)
#define	P16SEL0	__SFR_BIT__(0x000C9, b4)
#define	P16SEL1	__SFR_BIT__(0x000C9, b5)
#define	P17SEL0	__SFR_BIT__(0x000C9, b6)
#define	P17SEL1	__SFR_BIT__(0x000C9, b7)
#define	PML3	__SFR_BYTE__(0x000CC)
#define	P33SEL0	__SFR_BIT__(0x000CC, b6)
#define	P33SEL1	__SFR_BIT__(0x000CC, b7)
#define	PMH3	__SFR_BYTE__(0x000CD)
#define	P34SEL0	__SFR_BIT__(0x000CD, b0)
#define	P34SEL1	__SFR_BIT__(0x000CD, b1)
#define	P35SEL0	__SFR_BIT__(0x000CD, b2)
#define	P35SEL1	__SFR_BIT__(0x000CD, b3)
#define	P37SEL0	__SFR_BIT__(0x000CD, b6)
#define	P37SEL1	__SFR_BIT__(0x000CD, b7)
#define	PML4	__SFR_BYTE__(0x000CE)
#define	P42SEL0	__SFR_BIT__(0x000CE, b4)
#define	P42SEL1	__SFR_BIT__(0x000CE, b5)
#define	PMH4	__SFR_BYTE__(0x000CF)
#define	P45SEL0	__SFR_BIT__(0x000CF, b2)
#define	P45SEL1	__SFR_BIT__(0x000CF, b3)
#define	P46SEL0	__SFR_BIT__(0x000CF, b4)
#define	P46SEL1	__SFR_BIT__(0x000CF, b5)
#define	P47SEL0	__SFR_BIT__(0x000CF, b6)
#define	P47SEL1	__SFR_BIT__(0x000CF, b7)
#define	PMH1E	__SFR_BYTE__(0x000D1)
#define	P14SEL2	__SFR_BIT__(0x000D1, b0)
#define	P15SEL2	__SFR_BIT__(0x000D1, b2)
#define	PMH4E	__SFR_BYTE__(0x000D5)
#define	P46SEL2	__SFR_BIT__(0x000D5, b4)
#define	TRJ	__SFR_WORD__(0x000D8)
#define	TRJCR	__SFR_BYTE__(0x000DA)
#define	TRJCR_TSTART	__SFR_BIT__(0x000DA, b0)
#define	TRJCR_TCSTF	__SFR_BIT__(0x000DA, b1)
#define	TRJCR_TSTOP	__SFR_BIT__(0x000DA, b2)
#define	TRJCR_TEDGF	__SFR_BIT__(0x000DA, b4)
#define	TRJCR_TUNDF	__SFR_BIT__(0x000DA, b5)
#define	TRJIOC	__SFR_BYTE__(0x000DB)
#define	TRJIOC_TEDGSEL	__SFR_BIT__(0x000DB, b0)
#define	TRJIOC_TOPCR	__SFR_BIT__(0x000DB, b1)
#define	TRJIOC_TIPF0	__SFR_BIT__(0x000DB, b4)
#define	TRJIOC_TIPF1	__SFR_BIT__(0x000DB, b5)
#define	TRJIOC_TIOGT0	__SFR_BIT__(0x000DB, b6)
#define	TRJIOC_TIOGT1	__SFR_BIT__(0x000DB, b7)
#define	TRJMR	__SFR_BYTE__(0x000DC)
#define	TRJMR_TMOD0	__SFR_BIT__(0x000DC, b0)
#define	TRJMR_TMOD1	__SFR_BIT__(0x000DC, b1)
#define	TRJMR_TMOD2	__SFR_BIT__(0x000DC, b2)
#define	TRJMR_TEDGPL	__SFR_BIT__(0x000DC, b3)
#define	TRJMR_TCK0	__SFR_BIT__(0x000DC, b4)
#define	TRJMR_TCK1	__SFR_BIT__(0x000DC, b5)
#define	TRJMR_TCK2	__SFR_BIT__(0x000DC, b6)
#define	TRJMR_TCKCUT	__SFR_BIT__(0x000DC, b7)
#define	TRJISR	__SFR_BYTE__(0x000DD)
#define	RCCPSEL0	__SFR_BIT__(0x000DD, b0)
#define	RCCPSEL1	__SFR_BIT__(0x000DD, b1)
#define	RCCPSEL2	__SFR_BIT__(0x000DD, b2)
#define	TRJIR	__SFR_BYTE__(0x000DE)
#define	TRJIF	__SFR_BIT__(0x000DE, b6)
#define	TRJIE	__SFR_BIT__(0x000DE, b7)
#define	TRBCR	__SFR_BYTE__(0x000E0)
#define	TRBCR_TSTART	__SFR_BIT__(0x000E0, b0)
#define	TRBCR_TCSTF	__SFR_BIT__(0x000E0, b1)
#define	TRBCR_TSTOP	__SFR_BIT__(0x000E0, b2)
#define	TRBOCR	__SFR_BYTE__(0x000E1)
#define	TRBOCR_TOSST	__SFR_BIT__(0x000E1, b0)
#define	TRBOCR_TOSSP	__SFR_BIT__(0x000E1, b1)
#define	TRBOCR_TOSSTF	__SFR_BIT__(0x000E1, b2)
#define	TRBIOC	__SFR_BYTE__(0x000E2)
#define	TRBIOC_TOPL	__SFR_BIT__(0x000E2, b0)
#define	TRBIOC_TOCNT	__SFR_BIT__(0x000E2, b1)
#define	TRBIOC_INOSTG	__SFR_BIT__(0x000E2, b2)
#define	TRBIOC_INOSEG	__SFR_BIT__(0x000E2, b3)
#define	TRBMR	__SFR_BYTE__(0x000E3)
#define	TRBMR_TMOD0	__SFR_BIT__(0x000E3, b0)
#define	TRBMR_TMOD1	__SFR_BIT__(0x000E3, b1)
#define	TRBMR_TCNT16	__SFR_BIT__(0x000E3, b2)
#define	TRBMR_TWRC	__SFR_BIT__(0x000E3, b3)
#define	TRBMR_TCK0	__SFR_BIT__(0x000E3, b4)
#define	TRBMR_TCK1	__SFR_BIT__(0x000E3, b5)
#define	TRBMR_TCK2	__SFR_BIT__(0x000E3, b6)
#define	TRBMR_TCKCUT	__SFR_BIT__(0x000E3, b7)
#define	TRBPRE	__SFR_BYTE__(0x000E4)
#define	TRBPR	__SFR_BYTE__(0x000E5)
#define	TRBSC	__SFR_BYTE__(0x000E6)
#define	TRBIR	__SFR_BYTE__(0x000E7)
#define	TRBIF	__SFR_BIT__(0x000E7, b6)
#define	TRBIE	__SFR_BIT__(0x000E7, b7)
#define	TRCCNT	__SFR_WORD__(0x000E8)
#define	TRCGRA	__SFR_WORD__(0x000EA)
#define	TRCGRB	__SFR_WORD__(0x000EC)
#define	TRCGRC	__SFR_WORD__(0x000EE)
#define	TRCGRD	__SFR_WORD__(0x000F0)
#define	TRCMR	__SFR_BYTE__(0x000F2)
#define	TRCMR_PWMB	__SFR_BIT__(0x000F2, b0)
#define	TRCMR_PWMC	__SFR_BIT__(0x000F2, b1)
#define	TRCMR_PWMD	__SFR_BIT__(0x000F2, b2)
#define	TRCMR_PWM2	__SFR_BIT__(0x000F2, b3)
#define	TRCMR_BUFEA	__SFR_BIT__(0x000F2, b4)
#define	TRCMR_BUFEB	__SFR_BIT__(0x000F2, b5)
#define	TRCMR_CTS	__SFR_BIT__(0x000F2, b7)
#define	TRCCR1	__SFR_BYTE__(0x000F3)
#define	TRCCR1_TOA	__SFR_BIT__(0x000F3, b0)
#define	TRCCR1_TOB	__SFR_BIT__(0x000F3, b1)
#define	TRCCR1_TOC	__SFR_BIT__(0x000F3, b2)
#define	TRCCR1_TOD	__SFR_BIT__(0x000F3, b3)
#define	TRCCR1_CKS0	__SFR_BIT__(0x000F3, b4)
#define	TRCCR1_CKS1	__SFR_BIT__(0x000F3, b5)
#define	TRCCR1_CKS2	__SFR_BIT__(0x000F3, b6)
#define	TRCCR1_CCLR	__SFR_BIT__(0x000F3, b7)
#define	TRCIER	__SFR_BYTE__(0x000F4)
#define	TRCIER_IMIEA	__SFR_BIT__(0x000F4, b0)
#define	TRCIER_IMIEB	__SFR_BIT__(0x000F4, b1)
#define	TRCIER_IMIEC	__SFR_BIT__(0x000F4, b2)
#define	TRCIER_IMIED	__SFR_BIT__(0x000F4, b3)
#define	TRCIER_OVIE	__SFR_BIT__(0x000F4, b7)
#define	TRCSR	__SFR_BYTE__(0x000F5)
#define	TRCSR_IMFA	__SFR_BIT__(0x000F5, b0)
#define	TRCSR_IMFB	__SFR_BIT__(0x000F5, b1)
#define	TRCSR_IMFC	__SFR_BIT__(0x000F5, b2)
#define	TRCSR_IMFD	__SFR_BIT__(0x000F5, b3)
#define	TRCSR_OVF	__SFR_BIT__(0x000F5, b7)
#define	TRCIOR0	__SFR_BYTE__(0x000F6)
#define	TRCIOR0_IOA0	__SFR_BIT__(0x000F6, b0)
#define	TRCIOR0_IOA1	__SFR_BIT__(0x000F6, b1)
#define	TRCIOR0_IOA2	__SFR_BIT__(0x000F6, b2)
#define	TRCIOR0_IOB0	__SFR_BIT__(0x000F6, b4)
#define	TRCIOR0_IOB1	__SFR_BIT__(0x000F6, b5)
#define	TRCIOR0_IOB2	__SFR_BIT__(0x000F6, b6)
#define	TRCIOR1	__SFR_BYTE__(0x000F7)
#define	TRCIOR1_IOC0	__SFR_BIT__(0x000F7, b0)
#define	TRCIOR1_IOC1	__SFR_BIT__(0x000F7, b1)
#define	TRCIOR1_IOC2	__SFR_BIT__(0x000F7, b2)
#define	TRCIOR1_IOC3	__SFR_BIT__(0x000F7, b3)
#define	TRCIOR1_IOD0	__SFR_BIT__(0x000F7, b4)
#define	TRCIOR1_IOD1	__SFR_BIT__(0x000F7, b5)
#define	TRCIOR1_IOD2	__SFR_BIT__(0x000F7, b6)
#define	TRCIOR1_IOD3	__SFR_BIT__(0x000F7, b7)
#define	TRCCR2	__SFR_BYTE__(0x000F8)
#define	TRCCR2_POLB	__SFR_BIT__(0x000F8, b0)
#define	TRCCR2_POLC	__SFR_BIT__(0x000F8, b1)
#define	TRCCR2_POLD	__SFR_BIT__(0x000F8, b2)
#define	TRCCR2_CSTP	__SFR_BIT__(0x000F8, b5)
#define	TRCCR2_TCEG0	__SFR_BIT__(0x000F8, b6)
#define	TRCCR2_TCEG1	__SFR_BIT__(0x000F8, b7)
#define	TRCDF	__SFR_BYTE__(0x000F9)
#define	TRCDF_DFA	__SFR_BIT__(0x000F9, b0)
#define	TRCDF_DFB	__SFR_BIT__(0x000F9, b1)
#define	TRCDF_DFC	__SFR_BIT__(0x000F9, b2)
#define	TRCDF_DFD	__SFR_BIT__(0x000F9, b3)
#define	TRCDF_DFTRG	__SFR_BIT__(0x000F9, b4)
#define	TRCDF_DFCK0	__SFR_BIT__(0x000F9, b6)
#define	TRCDF_DFCK1	__SFR_BIT__(0x000F9, b7)
#define	TRCOER	__SFR_BYTE__(0x000FA)
#define	TRCOER_EA	__SFR_BIT__(0x000FA, b0)
#define	TRCOER_EB	__SFR_BIT__(0x000FA, b1)
#define	TRCOER_EC	__SFR_BIT__(0x000FA, b2)
#define	TRCOER_ED	__SFR_BIT__(0x000FA, b3)
#define	TRCOER_PTO	__SFR_BIT__(0x000FA, b7)
#define	TRCADCR	__SFR_BYTE__(0x000FB)
#define	ADTRGAE	__SFR_BIT__(0x000FB, b0)
#define	ADTRGBE	__SFR_BIT__(0x000FB, b1)
#define	ADTRGCE	__SFR_BIT__(0x000FB, b2)
#define	ADTRGDE	__SFR_BIT__(0x000FB, b3)
#define	TRCOPR	__SFR_BYTE__(0x000FC)
#define	TRCOPR_OPSEL0	__SFR_BIT__(0x000FC, b0)
#define	TRCOPR_OPSEL1	__SFR_BIT__(0x000FC, b1)
#define	TRCOPR_OPOL0	__SFR_BIT__(0x000FC, b2)
#define	TRCOPR_OPOL1	__SFR_BIT__(0x000FC, b3)
#define	TRCOPR_RESTATS	__SFR_BIT__(0x000FC, b4)
#define	TRCOPR_OPE	__SFR_BIT__(0x000FC, b5)
#define	WCMPR	__SFR_BYTE__(0x00180)
#define	WCB1M0	__SFR_BIT__(0x00180, b0)
#define	WCB1OUT	__SFR_BIT__(0x00180, b3)
#define	WCB3M0	__SFR_BIT__(0x00180, b4)
#define	WCB3OUT	__SFR_BIT__(0x00180, b7)
#define	WCB1INTR	__SFR_BYTE__(0x00181)
#define	WCB1F0	__SFR_BIT__(0x00181, b0)
#define	WCB1F1	__SFR_BIT__(0x00181, b1)
#define	WCB1S0	__SFR_BIT__(0x00181, b4)
#define	WCB1S1	__SFR_BIT__(0x00181, b5)
#define	WCB1INTEN	__SFR_BIT__(0x00181, b6)
#define	WCB1F	__SFR_BIT__(0x00181, b7)
#define	WCB3INTR	__SFR_BYTE__(0x00182)
#define	WCB3F0	__SFR_BIT__(0x00182, b0)
#define	WCB3F1	__SFR_BIT__(0x00182, b1)
#define	WCB3S0	__SFR_BIT__(0x00182, b4)
#define	WCB3S1	__SFR_BIT__(0x00182, b5)
#define	WCB3INTEN	__SFR_BIT__(0x00182, b6)
#define	WCB3F	__SFR_BIT__(0x00182, b7)
#define	FST	__SFR_BYTE__(0x001A9)
#define	RDYSTI	__SFR_BIT__(0x001A9, b0)
#define	BSYAEI	__SFR_BIT__(0x001A9, b1)
#define	FST2	__SFR_BIT__(0x001A9, b2)
#define	FST3	__SFR_BIT__(0x001A9, b3)
#define	FST4	__SFR_BIT__(0x001A9, b4)
#define	FST5	__SFR_BIT__(0x001A9, b5)
#define	FST6	__SFR_BIT__(0x001A9, b6)
#define	FST7	__SFR_BIT__(0x001A9, b7)
#define	FMR0	__SFR_BYTE__(0x001AA)
#define	FMR01	__SFR_BIT__(0x001AA, b1)
#define	FMR02	__SFR_BIT__(0x001AA, b2)
#define	FMSTP	__SFR_BIT__(0x001AA, b3)
#define	CMDRST	__SFR_BIT__(0x001AA, b4)
#define	CMDERIE	__SFR_BIT__(0x001AA, b5)
#define	BSYAEIE	__SFR_BIT__(0x001AA, b6)
#define	RDYSTIE	__SFR_BIT__(0x001AA, b7)
#define	FMR1	__SFR_BYTE__(0x001AB)
#define	WTFMSTP	__SFR_BIT__(0x001AB, b2)
#define	FMR13	__SFR_BIT__(0x001AB, b3)
#define	FMR16	__SFR_BIT__(0x001AB, b6)
#define	FMR17	__SFR_BIT__(0x001AB, b7)
#define	FMR2	__SFR_BYTE__(0x001AC)
#define	FMR20	__SFR_BIT__(0x001AC, b0)
#define	FMR21	__SFR_BIT__(0x001AC, b1)
#define	FMR22	__SFR_BIT__(0x001AC, b2)
#define	FMR27	__SFR_BIT__(0x001AC, b7)
#define	FREFR	__SFR_BYTE__(0x001AD)
#define	REF0	__SFR_BIT__(0x001AD, b0)
#define	REF1	__SFR_BIT__(0x001AD, b1)
#define	REF2	__SFR_BIT__(0x001AD, b2)
#define	REF3	__SFR_BIT__(0x001AD, b3)
#define	REF4	__SFR_BIT__(0x001AD, b4)
#define	REF5	__SFR_BIT__(0x001AD, b5)
#define	AIADR0L	__SFR_BYTE__(0x001C0)
#define	AIADR0M	__SFR_BYTE__(0x001C1)
#define	AIADR0H	__SFR_BYTE__(0x001C2)
#define	AIEN0	__SFR_BYTE__(0x001C3)
#define	AIADR1L	__SFR_BYTE__(0x001C4)
#define	AIADR1M	__SFR_BYTE__(0x001C5)
#define	AIADR1H	__SFR_BYTE__(0x001C6)
#define	AIEN1	__SFR_BYTE__(0x001C7)
#define	OFS2	__SFR_BYTE__(0x0FFDB)
#define	ID1	__SFR_BYTE__(0x0FFDF)
#define	ID2	__SFR_BYTE__(0x0FFE3)
#define	ID3	__SFR_BYTE__(0x0FFEB)
#define	ID4	__SFR_BYTE__(0x0FFEF)
#define	ID5	__SFR_BYTE__(0x0FFF3)
#define	ID6	__SFR_BYTE__(0x0FFF7)
#define	ID7	__SFR_BYTE__(0x0FFFB)
#define	OFS	__SFR_BYTE__(0x0FFFF)
